# Custom Neovim Plugins

Wyatt's user configuration for [Neovim](https://github.com/neovim/neovim) ([AstroNvim](https://github.com/AstroNvim/AstroNvim))

Check this [repo](https://github.com/AstroNvim/astroNvim) out too.

## 🛠️ Installation

#### Make a backup of your current nvim and shared folder

```shell
mv ~/.config/nvim ~/.config/nvim.bak
mv ~/.local/share/nvim ~/.local/share/nvim.bak
```

#### Clone this repository

```shell
git clone https://scm.wyattjmiller.com/wymiller/nvim-user ~/.config/nvim/lua/user
```

#### Start Neovim

```shell
nvim
```

or neovide if you have that installed:

```shell
neovide
```


#### Need fonts?

Run the `install.sh` file after you download the NerdFonts repository. It will get you all the fonts you will need. Log out and log back in for the fonts to take effect.
